## ros-kinetic-md49-messages 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.6)
project(md49_messages)

find_package(catkin REQUIRED COMPONENTS
  std_msgs 
  message_generation
)

add_message_files(
  FILES 
  md49_encoders.msg
  md49_data.msg
)

generate_messages(
  DEPENDENCIES 
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS 
  std_msgs 
  message_runtime
)

=== debian/changelog ===
ros-kinetic-md49-messages (0.1.4-1xenial) xenial; urgency=high

  * No changes, keep release on track with md49_base_controller
  * Contributors: Fabian Prinzing

 -- Fabian Prinzing <scheik.todeswache@googlemail.com>  Wed, 23 Dec 2015 23:00:00 -0000

ros-kinetic-md49-messages (0.1.3-1xenial) xenial; urgency=high

  * No changes, keep release on track with md49_base_controller
  * Contributors: Fabian Prinzing

 -- Fabian Prinzing <scheik.todeswache@googlemail.com>  Mon, 21 Dec 2015 23:00:00 -0000

ros-kinetic-md49-messages (0.1.2-1xenial) xenial; urgency=high

  * Separated custom messages used by md49_base_controller package into this package md49_messages
  * Contributors: Fabian Prinzing

 -- Fabian Prinzing <scheik.todeswache@googlemail.com>  Mon, 21 Dec 2015 23:00:00 -0000

ros-kinetic-md49-messages (0.1.1-1xenial) xenial; urgency=high

  * Initial Release
  * Contributors: Fabian Prinzing

 -- Fabian Prinzing <scheik.todeswache@googlemail.com>  Sat, 19 Dec 2015 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-md49-messages
Section: misc
Priority: extra
Maintainer: Fabian Prinzing <scheik.todeswache@googlemail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: http://www.the-starbearer.de
Standards-Version: 3.9.2

Package: ros-kinetic-md49-messages
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: The md49_messages package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-md49-messages//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
